Subject: Re: bug#19972: 24.4; Font size change doesn't update (window-total-width)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Mar 2015 19:46:45 +0200

> From: Joost Kremers <[email-masked]>
> Cc: martin rudalics <[email-masked]>, [email-masked]
> Date: Sun, 01 Mar 2015 18:07:33 +0100
> 
> On Sun, Mar 01 2015, Eli Zaretskii <[email-masked]> wrote:
> > Also, I don't understand why the initial value is 240 in the first
> > place.  By default, "emacs -Q" creates a 80-column window, so I'd
> > expect window-total-width to return a value slightly larger than 80 (I
> > get 84 here).
> >
> > So it sounds like some additional factors are at work here.
> 
> Sorry, my mistake. I should have added that I maximised the frame first.

FWIW, I don't see a different value after evaluating the
face-spec-recalc form, even if I start with a maximized frame.  What I
see is a frame whose part is invisible because it is beyond the screen
edges.  Which is what I'd expect.